%if 0%{?el7}
%define dist .el7
%endif

Name:           zimg
Version:        2.0.4
Release:        2%{?dist}
Summary:        Resizing, colorspace, and bit depth conversion library
Group:          System Environment/Libraries

License:        WTFPLv2
URL:            https://github.com/sekrit-twc/zimg
Source0:        https://github.com/sekrit-twc/%{name}/archive/release-%{version}.tar.gz

BuildRequires:  automake autoconf libtool
BuildRequires:  gcc-c++ >= 4.8

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
The "z" library implements the commonly required image processing basics of
scaling, colorspace conversion, and depth conversion. A simple API enables
conversion between any supported formats to operate with minimal knowledge
from the programmer. All library routines were designed from the ground-up
with flexibility, thread-safety, and correctness as first priorities.
Allocation, buffering, and I/O are cleanly separated from processing, allowing
the programmer to adapt "z" to many scenarios.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-release-%{version}
./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc ChangeLog README.md
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/%{name}/*.so

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Mon Feb 22 2016 momo-i <webmaster@momo-i.org> - 2.0.4-2
- Set Group

* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 2.0.4-1
- Initial rpm release.
